<?xml version="1.0" encoding="UTF-8"?>
<component id="tarifas_gdfl">
    <type>GRID_DETAIL_FORM_LABEL</type>
    <title>Detalle Tarifa</title>
    <rows>120</rows>
    <width>900</width>
    <height>600</height>
    <pbin>gdp.exe</pbin>
    <base_path>..</base_path>
    <clase>
        
        <table>sdd_tarifas</table>
        <id_field>c16_tarifa_id</id_field>
        <autoincrement>NO</autoincrement>
        <temp_id_field>NO</temp_id_field>
        <select_fields>c16_tarifa_id,c16_tipo_tarifa_proceso_id,c2_tipo_base_imponible_id,c2_tipo_rango_id,i2_rango,d82_valor,d82_excedente,d82_divisor,d82_rango_minimo,d82_rango_maximo,ts_update,ts_in</select_fields>
        <insert_fields>c16_tarifa_id,c16_tipo_tarifa_proceso_id,c2_tipo_base_imponible_id,c2_tipo_rango_id,i2_rango,d82_valor,d82_excedente,d82_divisor,d82_rango_minimo,d82_rango_maximo,ts_in</insert_fields>
        <update_fields>c16_tarifa_id,c16_tipo_tarifa_proceso_id,c2_tipo_base_imponible_id,c2_tipo_rango_id,i2_rango,d82_valor,d82_excedente,d82_divisor,d82_rango_minimo,d82_rango_maximo</update_fields>
        <delete_fields>c16_tarifa_id,c16_tipo_tarifa_proceso_id,c2_tipo_base_imponible_id,c2_tipo_rango_id,i2_rango</delete_fields>     
        <needed_fields>c16_tarifa_id,c16_tipo_tarifa_proceso_id,c2_tipo_base_imponible_id,c2_tipo_rango_id,i2_rango,d82_valor</needed_fields>
        <order_by>5</order_by>
        <direction>ASC</direction>
        <limit>25</limit>
        <offset>0</offset>
        <select_labels id="c2_tipo_base_imponible_id">
           
            <table>sdm_tipo_bases_imponibles</table>
            <id_field>c2_tipo_base_imponible_id</id_field>
            <fields>v64_tipo_base_imponible</fields>
            <document_fields>v64_tipo_base_imponible</document_fields>
        </select_labels>
        <select_labels id="c16_tipo_tarifa_proceso_id">
           
            <table>sdm_tipo_tarifa_procesos</table>
            <id_field>c16_tipo_tarifa_proceso_id</id_field>
            <fields>v64_tipo_tarifa_proceso</fields>
            <document_fields>v64_tipo_tarifa_proceso</document_fields>
        </select_labels>        
        <select_labels id="null"></select_labels>
        <associations>NO</associations>
    </clase>
    <elements>c2_tipo_base_imponible_id,c16_tipo_tarifa_proceso_id</elements>
    <element id="c2_tipo_base_imponible_id">
        <properties>
            <type>combo</type>
            <data>text</data>
            <header>TIPO BASE</header>
            <width>10</width>
        </properties>
        <events>NO</events>
        <clase>
            
            <table>sdm_tipo_bases_imponibles</table>
            <keys>c2_tipo_base_imponible_id</keys>
            <fields>v64_tipo_base_imponible</fields>
        </clase>
    </element>
    <element id="c16_tipo_tarifa_proceso_id">
        <properties>
            <type>combo</type>
            <data>text</data>
            <header>TIPO PROCESO</header>
            <width>10</width>
        </properties>
        <events>NO</events>
        <clase>
            
            <table>sdm_tipo_tarifa_procesos</table>
            <keys>c16_tipo_tarifa_proceso_id</keys>
            <fields>v64_tipo_tarifa_proceso</fields>
        </clase>
    </element>
    <element id ="null"></element>
    <grid>
        <columns>v64_tipo_tarifa_proceso,v64_tipo_base_imponible,d82_valor,d82_excedente,d82_divisor,d82_rango_minimo,d82_rango_maximo,i2_rango</columns>
        <column id="v64_tipo_tarifa_proceso">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>TIPO PROCESO</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v64_tipo_base_imponible">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>TIPO BASE IMPONIBLE</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="d82_valor">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>VALOR</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="d82_excedente">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>EXCED</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="d82_divisor">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>DIV</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="d82_rango_minimo">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>RMIN</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="d82_rango_maximo">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>RMAX</header>
                <width>10</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="i2_rango">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>RANGO</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="counter">
            <properties>
                <type>link</type>
                <data>text</data>
                <header>No.</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <counter>ON</counter>
        <delete>ON</delete>
        <tdheader_style>text-align:center</tdheader_style>
        <tdbody_style>text-align:left;vertical-align:center</tdbody_style>
    </grid>
</component>